<?php
function shadows_settings_init(){
	register_setting( 'shadows_settings', 'shadows_theme_settings' );
}
function shadows_scripts() {
	
wp_enqueue_script("theme-admin", get_bloginfo('stylesheet_directory')."/functions/functions.js", false, "1.0");
wp_enqueue_script('media-upload');
wp_enqueue_script('thickbox');
wp_enqueue_script('bbq', get_bloginfo('stylesheet_directory') . '/functions/jquery.ba-bbq.min.js');
}

function shadows_style() {
wp_enqueue_style("theme-admin", get_bloginfo('stylesheet_directory')."/functions/functions.css", false, "1.0", "all");
wp_enqueue_style('thickbox');
}

function shadows_echo_scripts()
{
?>
<script type="text/javascript">
//<![CDATA[
jQuery(document).ready(function() {
jQuery(function () {
var tabContainers = jQuery('div.adminTabs > div');
tabContainers.hide().filter(':first').show();
jQuery('div.adminTabs ul.tabsNavi a').click(function () {
tabContainers.hide();
tabContainers.filter(this.hash).show();
jQuery('div.adminTabs ul.tabsNavi a').removeClass('selected');
jQuery(this).addClass('selected');
return false;
}).filter(':first').click();
});
window.formfield = '';

jQuery('.upload_image_button').live('click', function() {
window.formfield = jQuery('.upload_field',jQuery(this).parent());
tb_show('', 'media-upload.php?type=image&TB_iframe=true');
return false;
});

window.original_send_to_editor = window.send_to_editor;
window.send_to_editor = function(html) {
if (window.formfield) {
imgurl = jQuery('img',html).attr('src');
window.formfield.val(imgurl);
tb_remove();
} else {
window.original_send_to_editor(html);
}
window.formfield = '';
window.imagefield = false;
}

});
//]]> 
</script>

<?php
}
if (isset($_GET['page']) && $_GET['page'] == 'shadows-settings')
{
add_action('admin_print_scripts', 'shadows_scripts'); 
add_action('admin_print_styles', 'shadows_style');
}
add_action('admin_head', 'shadows_echo_scripts');

//menu
function shadows_add_settings_page() {
add_menu_page( __( 'تنظیمات پوسته' ), __( 'تنظیمات پوسته‌' ), 'manage_options', 'shadows-settings', 'shadows_theme_settings_page');
}

add_action( 'admin_init', 'shadows_settings_init' );
add_action( 'admin_menu', 'shadows_add_settings_page' );

//options
$categories = get_categories('hide_empty=0&orderby=name');
$wp_cats = array();
foreach ($categories as $category_list ) {
$wp_cats[$category_list->cat_ID] = $category_list->cat_name;
}
array_unshift($wp_cats, "Choose a category"); 
function shadows_theme_settings_page() {

global $wp_cats, $color_schemes;
if ( ! isset( $_REQUEST['updated'] ) )
$_REQUEST['updated'] = false;
?>

<div class="wrap">
<div id="icon-options-general" class="icon32"></div><h2>تنظیمات پوسته</h2>

<div id="panel-content">
<?php if ( false !== $_REQUEST['updated'] ) : ?>
<div class="updated fade"><p><strong><?php _e( 'Options saved' ); ?></strong></p></div>
<?php endif; ?>
<form method="post" action="options.php">

<?php settings_fields( 'shadows_settings' ); ?>
<?php $options = get_option( 'shadows_theme_settings' ); ?>
            
            
<div id="wrap-left">
	<ul class="tabs">
        <li><a href="#tab1">در مورد پوسته</a></li>
		<li><a href="#tab2">Favicon</a></li>
		<li><a href="#tab3">غیرفعال کردن امکانات</a></li>
		<li><a href="#tab4">کد آمارگیر</a></li>
        <li><a href="#tab5">بنر سربرگ</a></li>
	</ul>
</div><!-- END wrap-left -->
            
<div id="wrap-right">
<div class="tab_container">

<div id="tab1" class="tab_content">
<ul>
<p>پوسته‌ی Shadows ساخته شده توسط: <a href="http://www.wpexplorer.com"><strong>AJ Clarke</strong></a></p>

<h3>حمایت کنندگان</h3>
<div class="sponsor">
  <a href="http://www.elegantthemes.com/affiliates/idevaffiliate.php?id=3272_0_1_7" target="_blank"><img border="0" src="http://www.elegantthemes.com/affiliates/banners/468x60.gif" width="468" height="60"></a>
</div>

<div class="sponsor">
<a href="http://www.wpexplorer.com/themeforest"><img
border="0" src="http://envato.s3.amazonaws.com/referrer_adverts/tf_468x60_v2.gif"
alt="ThemeForest" width="468" height="60"/></a>
</div>

</ul>
</div>

<div id="tab2" class="tab_content">
<ul>

<li><h3><?php _e( 'Favicon' ); ?></h3>

<input id="shadows_theme_settings[upload_favicon]" class="regular-text upload_field" type="text" size="36" name="shadows_theme_settings[upload_favicon]" value="<?php esc_attr_e( $options['upload_favicon'] ); ?>" />
<input class="upload_image_button" type="button" value="آپلود" />
<label class="description abouttxtdescription" for="shadows_theme_settings[upload_favicon]"><?php _e( 'علاوه بر آپلود کردن آیکون دلخواه می‌توانید آدرس آن را نیز وارد کنید.' ); ?></label>

</li>
</ul>              
</div>
 
<div id="tab3" class="tab_content">
<ul>

<li><h3><?php _e( 'نمایش ندادن دکمه‌های فیسبوک و توییتر' ); ?></h3>
<input id="shadows_theme_settings[disable_single_social]" name="shadows_theme_settings[disable_single_social]" type="checkbox" value="1" <?php checked( '1', $options['disable_single_social'] ); ?> />
</li>

<li><h3><?php _e( 'نمایش ندادن تصویر شاخص در نوشته‌ها' ); ?></h3>
<input id="shadows_theme_settings[disable_single_image]" name="shadows_theme_settings[disable_single_image]" type="checkbox" value="1" <?php checked( '1', $options['disable_single_image'] ); ?> />
</li>

<li><h3><?php _e( 'نمایش ندادن بخش "درباره‌ی نویسنده"' ); ?></h3>
<input id="shadows_theme_settings[disable_author]" name="shadows_theme_settings[disable_author]" type="checkbox" value="1" <?php checked( '1', $options['disable_author'] ); ?> />
</li>

<li><h3><?php _e( 'نمایش ندادن ابزارک‌های پایین' ); ?></h3>
<input id="shadows_theme_settings[disable_extended_footer]" name="shadows_theme_settings[disable_extended_footer]" type="checkbox" value="1" <?php checked( '1', $options['disable_extended_footer'] ); ?> />
</li>

</ul>
</div>
                
<div id="tab4" class="tab_content">
<ul>
						
<li><h3><?php _e( 'کد آمارگیر' ); ?></h3>
<textarea id="shadows_theme_settings[analytics]" class="regular-text" name="shadows_theme_settings[analytics]"><?php esc_attr_e( $options['analytics'] ); ?></textarea>
</li>

</ul>
</div>

<div id="tab5" class="tab_content">
<ul>

<li><h3><?php _e( 'بنر سربرگ' ); ?></h3>
<textarea id="shadows_theme_settings[header_ad]" class="regular-text" name="shadows_theme_settings[header_ad]"><?php esc_attr_e( $options['header_ad'] ); ?></textarea>
<label class="description abouttxtdescription" for="shadows_theme_settings[header_ad]"><?php _e( 'کد HTML بنر یا تبلیغ را بصورت کامل وارد کنید. اندازه‌ی تصویر ۴۶۸ در ۶۰ پیکسل باشد.' ); ?></label>

</li>
</ul>              
</div>

</div><!--end tab container-->
</div><!-- END wrap-right -->
<div class="clear"></div>

<p class="submit-changes">
<input type="submit" class="save-changes-btn" value="<?php _e( 'ذخیره‌ی تنظیمات' ); ?>" />
</p>
</form>
</div><!-- END panel-content -->
</div><!-- END wrap -->

<?php
}
//sanitize and validate
function shadows_options_validate( $input ) {
	global $select_options, $radio_options;
	if ( ! isset( $input['option1'] ) )
		$input['option1'] = null;
	$input['option1'] = ( $input['option1'] == 1 ? 1 : 0 );
	$input['sometext'] = wp_filter_nohtml_kses( $input['sometext'] );
	if ( ! isset( $input['radioinput'] ) )
		$input['radioinput'] = null;
	if ( ! array_key_exists( $input['radioinput'], $radio_options ) )
		$input['radioinput'] = null;
	$input['sometextarea'] = wp_filter_post_kses( $input['sometextarea'] );

	return $input;
}

?>
